package com.zd.smartlock.domain.api;

import com.zd.smartlock.domain.BaseDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liujh
 * @Date: 2022/08/30/10:42
 * @Description:
 */
@ApiModel("房间信息")
public class SlRoom extends BaseDomain {
    @ApiModelProperty(value = "归属楼层建筑ID")
    private String buildid;

    @ApiModelProperty(value = "房间预约功能（-1不支持，0关闭，1打开）")
    private Integer isbook;

    @ApiModelProperty(value = "房间位置（1左侧2右侧）")
    private Integer leftright;

    @ApiModelProperty(value = "房间编号")
    private String roomcode;

    @ApiModelProperty(value = "门锁唯一ID")
    private String roomcode2;

    @ApiModelProperty(value = "房间id")
    private Integer roomid;

    @ApiModelProperty(value = "房间位置")
    private String roomlocation;

    @ApiModelProperty(value = "房间最大支持入住人数")
    private  Integer roommaxperson;

    @ApiModelProperty(value = "房间名称")
    private  String roomname;

    @ApiModelProperty(value = "公共房间类型（1教室，2办公室，3会议室，4实验室）")
    private  Integer roomnexttype;

    @ApiModelProperty(value = "房间类型（1宿舍，2公共房间，4酒店房间）")
    private  Integer roomtype;

    @ApiModelProperty(value = "房间类型2（1房间，2楼梯，3装饰房间）")
    private  Integer roomtype2;

    @ApiModelProperty(value = "排列顺序（从左到右由小到大排列）")
    private  Integer sequence;


    public String getBuildid() {
        return buildid;
    }

    public void setBuildid(String buildid) {
        this.buildid = buildid;
    }

    public Integer getIsbook() {
        return isbook;
    }

    public void setIsbook(Integer isbook) {
        this.isbook = isbook;
    }

    public Integer getLeftright() {
        return leftright;
    }

    public void setLeftright(Integer leftright) {
        this.leftright = leftright;
    }

    public String getRoomcode() {
        return roomcode;
    }

    public void setRoomcode(String roomcode) {
        this.roomcode = roomcode;
    }

    public String getRoomcode2() {
        return roomcode2;
    }

    public void setRoomcode2(String roomcode2) {
        this.roomcode2 = roomcode2;
    }

    public Integer getRoomid() {
        return roomid;
    }

    public void setRoomid(Integer roomid) {
        this.roomid = roomid;
    }

    public String getRoomlocation() {
        return roomlocation;
    }

    public void setRoomlocation(String roomlocation) {
        this.roomlocation = roomlocation;
    }

    public Integer getRoommaxperson() {
        return roommaxperson;
    }

    public void setRoommaxperson(Integer roommaxperson) {
        this.roommaxperson = roommaxperson;
    }

    public String getRoomname() {
        return roomname;
    }

    public void setRoomname(String roomname) {
        this.roomname = roomname;
    }

    public Integer getRoomnexttype() {
        return roomnexttype;
    }

    public void setRoomnexttype(Integer roomnexttype) {
        this.roomnexttype = roomnexttype;
    }

    public Integer getRoomtype() {
        return roomtype;
    }

    public void setRoomtype(Integer roomtype) {
        this.roomtype = roomtype;
    }

    public Integer getRoomtype2() {
        return roomtype2;
    }

    public void setRoomtype2(Integer roomtype2) {
        this.roomtype2 = roomtype2;
    }

    public Integer getSequence() {
        return sequence;
    }

    public void setSequence(Integer sequence) {
        this.sequence = sequence;
    }
}
